package jp.co.konica.mg.webdbclient;

import jp.co.konica.mg.webdb.*;
import javax.swing.table.*;
import java.util.*;

public class OrderAction implements IOrderAction {

  OrderManager orderManager             = new OrderManager();
  PatientTableModel  patientTableModel  = new PatientTableModel();
  OrderingTableModel orderingTableModel = new OrderingTableModel();

  public OrderAction(){}

  public AbstractTableModel getPatientTableModel(){
    return  patientTableModel;
  }

  public AbstractTableModel getOrderingTableModel(){
    return  orderingTableModel;
  }

  public void updatePatients(){
     patientTableModel.setPatientBeans( orderManager.selectAllPatients() );
     orderingTableModel.setOrderingBeans(new Vector());
  }
  
  public void updateOrderings(int patient_id){
    OrderingBean orderingBean = new OrderingBean();
    orderingBean.setPatientId(patientTableModel.getPatientIdAt(patient_id));
    orderingTableModel.setOrderingBeans( orderManager.selectOrders(orderingBean) );
  }

}

