package jp.co.konica.mg.webdbclient;

import jp.co.konica.mg.webdb.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

// Torque
import org.apache.torque.*;

public class OrderApplication {

  public OrderApplication() {

    try{
      //torquȅs
      Torque.init("Torque.properties");

      OrderFrame frame = new OrderFrame();
      frame.setOrderAction(new OrderAction());

      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      Dimension frameSize = frame.getSize();

      if (frameSize.height > screenSize.height) {
        frameSize.height = screenSize.height;
      }
      if (frameSize.width > screenSize.width) {
        frameSize.width = screenSize.width;
      }

      frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
      frame.addWindowListener( new WindowAdapter() {
        public void windowClosing(WindowEvent e) {
          System.exit(0);
        }
      });
      frame.setVisible(true);
      // framȅJn
    }catch(TorqueException ex){
      ex.printStackTrace();
    }
  }

  public static void main(String[] args) {
    try {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch(Exception e) {
      e.printStackTrace();
    }
    new OrderApplication();
  }

}