package jp.co.konica.mg.webdbclient;

import jp.co.konica.mg.webdb.*;
import javax.swing.table.*;
import java.util.*;

class OrderingTableModel extends AbstractTableModel
{

  private String columnNames[] = {"ORDER ID","MODALITY","PART","DIRECTION","OPERATION DATE"};
  private Vector Orderings = new Vector();

  public int getColumnCount()      { return columnNames.length; }
  public int getRowCount()         { return Orderings.size(); }

  public String getColumnName(int col){ return columnNames[col]; }

  public Object getValueAt(int row,int col){
    OrderingBean Ordering = (OrderingBean)Orderings.get(row);
    switch(col)
    {
      case 0: return new Integer(Ordering.getId());
      case 1: return Ordering.getModality();
      case 2: return Ordering.getPart();
      case 3: return Ordering.getDirection();
      case 4: return Ordering.getOperationDate();
      default: throw new IllegalArgumentException("Invalid column");
    }
  }

  public void setOrderingBeans(Vector beans)
  {
    Orderings = beans;
    fireTableDataChanged();
  }

}
