package jp.co.konica.mg.webdb;

import java.util.*;

// Torque
import org.apache.torque.*;

public class Test
{
  public static void main(String args[])
  {
    //torquȅs
    try
    {
       Torque.init("Torque_test.properties");
       OrderManager orderManager = new OrderManager();
       {
         System.out.println("*** selectAllPatients ***");
         Vector patients = orderManager.selectAllPatients();
         Iterator itr = patients.iterator();
         while(itr.hasNext()){
           PatientBean patient = (PatientBean)itr.next();
	   System.out.println( "name:" + patient.getName() + " id:"  + patient.getId()  +
	                       " age:" + patient.getAge()  + " sex:" + patient.getSex() );
         }
       }
       {
         System.out.println("*** selectAllOrderings ***");
         Vector orderings = orderManager.selectAllOrders();
	 Iterator itr = orderings.iterator();
	 while(itr.hasNext()){
	   OrderingBean ordering = (OrderingBean)itr.next();
	   System.out.println( "order id:" + ordering.getId() + " patient id:" + ordering.getPatientId() + " date:" + ordering.getOperationDate() );
	 }
       }
       {
         System.out.println("*** selectPatients ***");
         PatientBean req = new PatientBean();
	 req.setSex("j");
         Vector selectedPatients = orderManager.selectPatients(req);
	 Iterator itr = selectedPatients.iterator();
	 while(itr.hasNext()){
           PatientBean patient = (PatientBean)itr.next();
	   System.out.println( "name:" + patient.getName() + " id:"  + patient.getId()  +
	                       " age:" + patient.getAge()  + " sex:" + patient.getSex() );
	 }
       }
       {
         System.out.println("*** selectOrderings ***");
         OrderingBean req = new OrderingBean();
	 req.setPart("Head");
	 req.setDirection("AP");
         Vector selectedOrderings = orderManager.selectOrders(req);
	 Iterator itr = selectedOrderings.iterator();
	 while(itr.hasNext()){
           OrderingBean ordering = (OrderingBean)itr.next();
	   System.out.println( "order id:" + ordering.getId() + " patient id:" + ordering.getPatientId() + " date:" + ordering.getOperationDate() );
	 }
       }
    }
    catch(Exception ex)
    {
       ex.printStackTrace();
    }
  }
}